###################################################
### chunk number 1: options
###################################################
#line 99 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
options(prompt = "> ", continue = " ", width = 80)
L <- installed.packages()
ind <- !is.na(match(L[, "Package"], "Renext"))
Renext.Version <- L[ind, "Version"]


###################################################
### chunk number 2: 
###################################################
#line 415 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
library(Renext)
data(Brest)
names(Brest)


###################################################
### chunk number 3: 
###################################################
#line 422 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
head(Brest$OTdata, n = 4)
str(Brest$OTinfo)


###################################################
### chunk number 4: <
###################################################
#line 437 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
End <- Brest$OTinfo$end; Start <- Brest$OTinfo$start
Dur <- as.numeric(difftime(End,  Start, units = "days"))/365.25
Dur
Dur-as.numeric(Brest$OTinfo$effDuration) 


###################################################
### chunk number 5: RenplotBrest
###################################################
#line 453 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
class(Brest)
plot(Brest)


###################################################
### chunk number 6: missing
###################################################
#line 472 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
head(Brest$OTmissing, n = 4)


###################################################
### chunk number 7: labelgaronneMAX
###################################################
#line 503 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
data(Garonne)
names(Garonne)
Garonne$MAXinfo
head(Garonne$MAXdata, n = 4)


###################################################
### chunk number 8: RenplotGaronne
###################################################
#line 510 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
plot(Garonne)


###################################################
### chunk number 9: exppBrest
###################################################
#line 594 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
expplot(x = Brest$OTdata$Surge, main = "expplot for \"Brest\"")


###################################################
### chunk number 10: weibpBrest
###################################################
#line 598 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
weibplot(x = Brest$OTdata$Surge-30, main = "weibplot for \"Brest\" (surge - 30)")


###################################################
### chunk number 11: ExpPlot
###################################################
#line 629 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
library(evd); set.seed(136)
X <- rgumbel(400); X <- X[X > 0.6]           ## X is truncated Gumbel
n <- length(X); 
Z <- sort(X); F <- (1:n)/(n+1)               ## distribution function
y.exp <- -log(1-F); y.gum <- -log(-log(F))   
plot(Z, y.exp, col = "red3", main = "exponential plot")


###################################################
### chunk number 12: GumPlot
###################################################
#line 638 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
plot(Z, y.gum, col = "SteelBlue3", main = "Gumbel plot")


###################################################
### chunk number 13: spGaronne
###################################################
#line 668 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
data(Garonne)
plot(Flow ~ date, data = Garonne$OTdata, type = "h", main = "Flows > 2500 m3/s")


###################################################
### chunk number 14: 
###################################################
#line 676 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
 subset(Garonne$OTdata, date >= as.POSIXct("1945-01-01") & date <= as.POSIXct("1950-01-01"))


###################################################
### chunk number 15: gdGaronne
###################################################
#line 705 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
gof.date(date = Garonne$OTdata$date)


###################################################
### chunk number 16: ieGaronne
###################################################
#line 739 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
ie <- interevt(date = Garonne$OTdata$date)
names(ie)
d <- ie$interevt$duration
expplot(d, main = "Exponential plot for interevents")
bt <- gofExp.test(d) 
bt


###################################################
### chunk number 17: gdBrest
###################################################
#line 781 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
gof.Brest  <- gof.date(date = Brest$OTdata$date, skip = Brest$OTmissing,
                       start = Brest$OTinfo$start, end = Brest$OTinfo$end)
print(names(gof.Brest))


###################################################
### chunk number 18: gdBrest
###################################################
#line 791 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
head(gof.Brest$noskip, n = 2)


###################################################
### chunk number 19: gdBrest2
###################################################
#line 809 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
gof.Brest2  <- gof.date(date = Brest$OTdata$date, 
                        skip = Brest$OTmissing, plot.type = "omit",
                        start = Brest$OTinfo$start, end = Brest$OTinfo$end)


###################################################
### chunk number 20: bp40
###################################################
#line 881 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
data(Brest.years); data(Brest.years.missing)
bp40 <- barplotRenouv(data = Brest.years, threshold = 40,
           na.block = Brest.years.missing, main = "threshold = 40 cm")


###################################################
### chunk number 21: bp50
###################################################
#line 887 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
bp50 <- barplotRenouv(data = Brest.years, threshold = 50,
           na.block = Brest.years.missing, main = "threshold = 50 cm")


###################################################
### chunk number 22: 
###################################################
#line 952 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
bp40$tests
bp50$tests


###################################################
### chunk number 23: 
###################################################
#line 959 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
bp50$freq


###################################################
### chunk number 24: feGaronne
###################################################
#line 985 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
fit.exp <- fRenouv(x.OT = Garonne$OTdata$Flow,
                   sumw.BOT = 65,
                   threshold = 2500,
                   distname.y = "exponential",
                   main = "exponential")
fit.exp$estimate


###################################################
### chunk number 25: namefitexp
###################################################
#line 1000 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
names(fit.exp)


###################################################
### chunk number 26: fwGaronne
###################################################
#line 1004 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
fit.weibull <- fRenouv(x.OT = Garonne$OTdata$Flow,
                        sumw.BOT = 65,
                        threshold = 2500,
                        distname.y = "weibull",
                        main = "Weibull")
fit.weibull$estimate
fit.weibull$sigma


###################################################
### chunk number 27: feGaronneH
###################################################
#line 1360 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
fit.exp.H <- fRenouv(x.OT = Garonne$OTdata$Flow,
                      sumw.BOT = 65,
                      z.H = Garonne$MAXdata$Flow,
                      block.H = Garonne$MAXdata$block,
                      w.BH = Garonne$MAXinfo$duration,
                      distname.y = "exponential",
                      threshold = 2500,
                      conf.pct = c(70, 95),
                      prob.max = 0.99995,
                      pred.period = c(10,100,1000),
                      main = "Garonne data, \"exponential\" with MAXdata")


###################################################
### chunk number 28: fwGaronneH
###################################################
#line 1374 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
fit.weib.H <- fRenouv(x.OT = Garonne$OTdata$Flow,
                      sumw.BOT = 65,
                      z.H = Garonne$MAXdata$Flow,
                      block.H = Garonne$MAXdata$block,
                      w.BH = Garonne$MAXinfo$duration,
                      distname.y = "weibull",
                      threshold = 2500,
                      conf.pct = c(70, 95),
                      prob.max = 0.99995,
                      pred.period = c(10,100,1000),
                      main = "Garonne data, \"Weibull\" with MAXdata")


###################################################
### chunk number 29: nonorth
###################################################
#line 1391 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
fit.exp.H$corr


###################################################
### chunk number 30: fixweibGaronneH
###################################################
#line 1457 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
fit.weib.fixed.H <- 
  fRenouv(x.OT = Garonne$OTdata$Flow,
          sumw.BOT = 65,
          z.H = Garonne$MAXdata$Flow,
          block.H = Garonne$MAXdata$block,
          w.BH = Garonne$MAXinfo$duration,
          distname.y = "weibull",
          threshold = 2500,
          fixed.par.y = list(shape = 1.2),
          start.par.y = list(scale = 2000),
          trace = 0,
          main = "Garonne data, \"Weibull\" with MAXdata and fixed shape")


###################################################
### chunk number 31: nonorth
###################################################
#line 1471 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
fit.weib.fixed.H$estimate


###################################################
### chunk number 32: fixSLTWGaronneH
###################################################
#line 1481 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
fit.SLTW.H <- 
  fRenouv(x.OT = Garonne$OTdata$Flow,
          sumw.BOT = 65,
          z.H = Garonne$MAXdata$Flow,
          block.H = Garonne$MAXdata$block,
          w.BH = Garonne$MAXinfo$duration,
          distname.y = "SLTW",
          threshold = 2500,
          fixed.par.y = list(delta = 2000, shape = 1.2),
          start.par.y = list(scale = 2000),
          main = "Garonne data, \"SLTW\" with MAXdata, delta and shape fixed")


###################################################
### chunk number 33: nonorth
###################################################
#line 1496 "d:/Rcompile/CRANpkg/local/2.12/Renext/inst/doc/RenextGuide.Rnw"
fit.SLTW.H$cov


